package BanquePackage;

import java.util.Vector;

  /**
   * @invariant majeurContrainte: self . age < 18 implies self . compte -> isEmpty
   * @invariant agenceContrainte: self . compte -> notEmpty implies self . agence -> notEmpty
   * @invariant gestionContrainte: self . compteGere -> forAll ( c : Compte | c . proprietaire <> self )
   * @invariant contratContrainte: self . contrat -> forAll ( c1 , c2 : Contrat |c1<>c2 implies c1 . id <> c2 . id )

   * @invariant contrat2Contrainte: self . compte -> size  >= self . contrat -> size
   */
public class Personne {

  /* {src_lang=Java}*/


    /**
   * @invariant ageContarinte: self . age >= 0 and self . age < 140
   */
  protected int age;
  /* {transient=false, volatile=false}*/

  protected String nom;
  /* {transient=false, volatile=false}*/

  protected double revenu;
  /* {transient=false, volatile=false}*/

  protected Personne conseiller;
  /* {transient=false, volatile=false}*/

    public Agence agence;
    /**
   *
   * @element-type Contrat
   */
  public Vector  contrat=new Vector();
    /**
   *
   * @element-type Livret
   */
  public Vector  livret=new Vector();
    /**
   *
   * @element-type Compte
   */
  public Vector  compte=new Vector();
    /**
   *
   * @element-type Livret
   */
  public Vector  livretGere=new Vector();
    /**
   *
   * @element-type Compte
   */
  public Vector  compteGere=new Vector();

  public Personne(tudresden.ocl.injection.lib.WrapperDummy wrappedbyocl) {
  }

  public String toString_wrappedbyocl_BanquePackage_Personne(){
	  return "\n nom : "+nom+" age : "+age+" revenu : "+revenu+"\n";
	  }

  public void setAge_wrappedbyocl_BanquePackage_Personne(int a) {
  this.age=a;}

  public int getAge_wrappedbyocl_BanquePackage_Personne() {
  return age;
  }

  public void setNom_wrappedbyocl_BanquePackage_Personne(String nom) {this.nom=nom;
  }

  public String getNom_wrappedbyocl_BanquePackage_Personne() {
  return nom;
  }

    /**
   * @precondition newConstraint_0: compte -> excludes ( c )
   * @postcondition newConstraint_1: compte -> includes ( c )
   */
  public void addCompte_wrappedbyocl_BanquePackage_Personne(Compte c) {
	  compte.add(c);
  }

    /**
   * @precondition newConstraint_0: compteGere -> excludes ( c )
   * @postcondition newConstraint_1: compteGere -> includes ( c )
   */
  public void addCompteGere_wrappedbyocl_BanquePackage_Personne(Compte c) {
	  compteGere.add(c);
  }

    /**
   * @precondition newConstraint_0: livret -> excludes ( l )
   * @postcondition newConstraint_1: livret -> includes ( l )
   */
  public void addLivret_wrappedbyocl_BanquePackage_Personne(Livret l) {
  livret.add(l);
  }

    /**
   * @precondition newConstraint_0: livretGere -> excludes ( l )
   * @postcondition newConstraint_1: livretGere -> includes ( l )
   */
  public void addLivretGere_wrappedbyocl_BanquePackage_Personne(Livret l) {
	  livretGere.add(l);
  }


    /**
      * @precondition newConstraint_0: contrat -> excludes ( c )
      * @postcondition newConstraint_1: contrat -> includes ( c )
   */
   public void addContrat_wrappedbyocl_BanquePackage_Personne(Contrat c){
	   contrat.add(c);}


  public void setRevenu_wrappedbyocl_BanquePackage_Personne(double revenu) {this.revenu=revenu;
  }

  public double getRevenu_wrappedbyocl_BanquePackage_Personne() {
  return revenu;
  }

  public void setConseiller_wrappedbyocl_BanquePackage_Personne(Personne c) {
	  conseiller=c;
  }

  public Personne getConseiller_wrappedbyocl_BanquePackage_Personne() {
  return conseiller;
  }
/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #Personne(tudresden.ocl.injection.lib.WrapperDummy)
*/public Personne(){
this((tudresden.ocl.injection.lib.WrapperDummy)null);
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #toString_wrappedbyocl_BanquePackage_Personne()
*/public String toString(){
String result;
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
result=toString_wrappedbyocl_BanquePackage_Personne();
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
result=toString_wrappedbyocl_BanquePackage_Personne();
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
return result;
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #setAge_wrappedbyocl_BanquePackage_Personne(int)
*/public void setAge(int a){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
setAge_wrappedbyocl_BanquePackage_Personne(a);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
setAge_wrappedbyocl_BanquePackage_Personne(a);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #getAge_wrappedbyocl_BanquePackage_Personne()
*/public int getAge(){
int result;
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
result=getAge_wrappedbyocl_BanquePackage_Personne();
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
result=getAge_wrappedbyocl_BanquePackage_Personne();
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
return result;
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #setNom_wrappedbyocl_BanquePackage_Personne(String)
*/public void setNom(String nom){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
setNom_wrappedbyocl_BanquePackage_Personne(nom);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
setNom_wrappedbyocl_BanquePackage_Personne(nom);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #getNom_wrappedbyocl_BanquePackage_Personne()
*/public String getNom(){
String result;
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
result=getNom_wrappedbyocl_BanquePackage_Personne();
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
result=getNom_wrappedbyocl_BanquePackage_Personne();
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
return result;
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #addCompte_wrappedbyocl_BanquePackage_Personne(Compte)
*/public void addCompte(Compte c){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
addCompte_wrappedbyocl_BanquePackage_Personne(c);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{final tudresden.ocl.lib.OclAnyImpl tudOclNode41=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar0=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode42=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode41.getFeature("compte"));
final tudresden.ocl.lib.OclBoolean tudOclNode43=tudOclNode42.excludes(tudOclOpPar0);
if(!tudOclNode43.isTrue())System.out.println("violated ocl precondition 'newConstraint_0' on object '"+this+"' operation 'addCompte(c : Compte)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
addCompte_wrappedbyocl_BanquePackage_Personne(c);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{
final tudresden.ocl.lib.OclAnyImpl tudOclNode44=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar1=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode45=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode44.getFeature("compte"));
final tudresden.ocl.lib.OclBoolean tudOclNode46=tudOclNode45.includes(tudOclOpPar1);
if(!tudOclNode46.isTrue())System.out.println("violated ocl postcondition 'newConstraint_1' on object '"+this+"' operation 'addCompte(c : Compte)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #addCompteGere_wrappedbyocl_BanquePackage_Personne(Compte)
*/public void addCompteGere(Compte c){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
addCompteGere_wrappedbyocl_BanquePackage_Personne(c);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{final tudresden.ocl.lib.OclAnyImpl tudOclNode47=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar2=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode48=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode47.getFeature("compteGere"));
final tudresden.ocl.lib.OclBoolean tudOclNode49=tudOclNode48.excludes(tudOclOpPar2);
if(!tudOclNode49.isTrue())System.out.println("violated ocl precondition 'newConstraint_0' on object '"+this+"' operation 'addCompteGere(c : Compte)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
addCompteGere_wrappedbyocl_BanquePackage_Personne(c);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{
final tudresden.ocl.lib.OclAnyImpl tudOclNode50=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar3=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode51=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode50.getFeature("compteGere"));
final tudresden.ocl.lib.OclBoolean tudOclNode52=tudOclNode51.includes(tudOclOpPar3);
if(!tudOclNode52.isTrue())System.out.println("violated ocl postcondition 'newConstraint_1' on object '"+this+"' operation 'addCompteGere(c : Compte)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #addLivret_wrappedbyocl_BanquePackage_Personne(Livret)
*/public void addLivret(Livret l){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
addLivret_wrappedbyocl_BanquePackage_Personne(l);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{final tudresden.ocl.lib.OclAnyImpl tudOclNode53=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar4=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(l) );
final tudresden.ocl.lib.OclSequence tudOclNode54=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode53.getFeature("livret"));
final tudresden.ocl.lib.OclBoolean tudOclNode55=tudOclNode54.excludes(tudOclOpPar4);
if(!tudOclNode55.isTrue())System.out.println("violated ocl precondition 'newConstraint_0' on object '"+this+"' operation 'addLivret(l : Livret)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
addLivret_wrappedbyocl_BanquePackage_Personne(l);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{
final tudresden.ocl.lib.OclAnyImpl tudOclNode56=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar5=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(l) );
final tudresden.ocl.lib.OclSequence tudOclNode57=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode56.getFeature("livret"));
final tudresden.ocl.lib.OclBoolean tudOclNode58=tudOclNode57.includes(tudOclOpPar5);
if(!tudOclNode58.isTrue())System.out.println("violated ocl postcondition 'newConstraint_1' on object '"+this+"' operation 'addLivret(l : Livret)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #addLivretGere_wrappedbyocl_BanquePackage_Personne(Livret)
*/public void addLivretGere(Livret l){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
addLivretGere_wrappedbyocl_BanquePackage_Personne(l);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{final tudresden.ocl.lib.OclAnyImpl tudOclNode59=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar6=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(l) );
final tudresden.ocl.lib.OclSequence tudOclNode60=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode59.getFeature("livretGere"));
final tudresden.ocl.lib.OclBoolean tudOclNode61=tudOclNode60.excludes(tudOclOpPar6);
if(!tudOclNode61.isTrue())System.out.println("violated ocl precondition 'newConstraint_0' on object '"+this+"' operation 'addLivretGere(l : Livret)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
addLivretGere_wrappedbyocl_BanquePackage_Personne(l);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{
final tudresden.ocl.lib.OclAnyImpl tudOclNode62=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar7=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(l) );
final tudresden.ocl.lib.OclSequence tudOclNode63=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode62.getFeature("livretGere"));
final tudresden.ocl.lib.OclBoolean tudOclNode64=tudOclNode63.includes(tudOclOpPar7);
if(!tudOclNode64.isTrue())System.out.println("violated ocl postcondition 'newConstraint_1' on object '"+this+"' operation 'addLivretGere(l : Livret)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #addContrat_wrappedbyocl_BanquePackage_Personne(Contrat)
*/public void addContrat(Contrat c){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
addContrat_wrappedbyocl_BanquePackage_Personne(c);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{final tudresden.ocl.lib.OclAnyImpl tudOclNode65=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar8=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode66=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode65.getFeature("contrat"));
final tudresden.ocl.lib.OclBoolean tudOclNode67=tudOclNode66.excludes(tudOclOpPar8);
if(!tudOclNode67.isTrue())System.out.println("violated ocl precondition 'newConstraint_0' on object '"+this+"' operation 'addContrat(c : Contrat)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
addContrat_wrappedbyocl_BanquePackage_Personne(c);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
{
final tudresden.ocl.lib.OclAnyImpl tudOclNode68=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclAnyImpl tudOclOpPar9=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(c) );
final tudresden.ocl.lib.OclSequence tudOclNode69=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode68.getFeature("contrat"));
final tudresden.ocl.lib.OclBoolean tudOclNode70=tudOclNode69.includes(tudOclOpPar9);
if(!tudOclNode70.isTrue())System.out.println("violated ocl postcondition 'newConstraint_1' on object '"+this+"' operation 'addContrat(c : Contrat)'.");}
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #setRevenu_wrappedbyocl_BanquePackage_Personne(double)
*/public void setRevenu(double revenu){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
setRevenu_wrappedbyocl_BanquePackage_Personne(revenu);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
setRevenu_wrappedbyocl_BanquePackage_Personne(revenu);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #getRevenu_wrappedbyocl_BanquePackage_Personne()
*/public double getRevenu(){
double result;
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
result=getRevenu_wrappedbyocl_BanquePackage_Personne();
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
result=getRevenu_wrappedbyocl_BanquePackage_Personne();
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
return result;
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #setConseiller_wrappedbyocl_BanquePackage_Personne(Personne)
*/public void setConseiller(Personne c){
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
setConseiller_wrappedbyocl_BanquePackage_Personne(c);
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
setConseiller_wrappedbyocl_BanquePackage_Personne(c);
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
}/**
A wrapper for injection. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #getConseiller_wrappedbyocl_BanquePackage_Personne()
*/public Personne getConseiller(){
Personne result;
if(tudresden.ocl.injection.ocl.lib.Invariant.checking_flag)
result=getConseiller_wrappedbyocl_BanquePackage_Personne();
else{
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
result=getConseiller_wrappedbyocl_BanquePackage_Personne();
checkForChangedFeatures();
try{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=true;
tudresden.ocl.injection.ocl.lib.Invariant.checkVacantInvariants();
}finally{tudresden.ocl.injection.ocl.lib.Invariant.checking_flag=false;}
}
return result;
}/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #age
*/private int age_oclbackup812374=age;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #age
*/public final java.util.HashSet age_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #nom
*/private String nom_oclbackup812374=nom;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #nom
*/public final java.util.HashSet nom_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #revenu
*/private double revenu_oclbackup812374=revenu;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #revenu
*/public final java.util.HashSet revenu_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #conseiller
*/private Personne conseiller_oclbackup812374=conseiller;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #conseiller
*/public final java.util.HashSet conseiller_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #agence
*/private Agence agence_oclbackup812374=agence;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #agence
*/public final java.util.HashSet agence_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #contrat
*/private int contrat_oclbackup812374=0;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #contrat
*/public final java.util.HashSet contrat_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #livret
*/private int livret_oclbackup812374=0;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #livret
*/public final java.util.HashSet livret_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #compte
*/private int compte_oclbackup812374=0;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #compte
*/public final java.util.HashSet compte_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #livretGere
*/private int livretGere_oclbackup812374=0;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #livretGere
*/public final java.util.HashSet livretGere_oclobservinginvariants812374=new java.util.HashSet();/**
A backup for detecting modifications. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #compteGere
*/private int compteGere_oclbackup812374=0;/**
Contains observers for modifications of this feature. Generated automatically, DO NOT CHANGE!
@author ocl_injector
@see #compteGere
*/public final java.util.HashSet compteGere_oclobservinginvariants812374=new java.util.HashSet();/**
Checks object features, whether they have changed. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private void checkForChangedFeatures(){
if(age!=age_oclbackup812374){age_oclbackup812374=age;
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(age_oclobservinginvariants812374);
}
if(nom!=nom_oclbackup812374){nom_oclbackup812374=nom;
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(nom_oclobservinginvariants812374);
}
if(revenu!=revenu_oclbackup812374){revenu_oclbackup812374=revenu;
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(revenu_oclobservinginvariants812374);
}
if(conseiller!=conseiller_oclbackup812374){conseiller_oclbackup812374=conseiller;
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(conseiller_oclobservinginvariants812374);
}
if(agence!=agence_oclbackup812374){agence_oclbackup812374=agence;
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(agence_oclobservinginvariants812374);
}
if(tudresden.ocl.injection.lib.HashExact.identityHashCode(contrat)!=contrat_oclbackup812374){contrat_oclbackup812374=tudresden.ocl.injection.lib.HashExact.identityHashCode(contrat);
if(!tudresden.ocl.injection.lib.Check.checkElementTypes(contrat,Contrat.class)) System.out.println("element type checker failed at feature 'contrat' of object "+this+".");
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(contrat_oclobservinginvariants812374);
}
if(tudresden.ocl.injection.lib.HashExact.identityHashCode(livret)!=livret_oclbackup812374){livret_oclbackup812374=tudresden.ocl.injection.lib.HashExact.identityHashCode(livret);
if(!tudresden.ocl.injection.lib.Check.checkElementTypes(livret,Livret.class)) System.out.println("element type checker failed at feature 'livret' of object "+this+".");
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(livret_oclobservinginvariants812374);
}
if(tudresden.ocl.injection.lib.HashExact.identityHashCode(compte)!=compte_oclbackup812374){compte_oclbackup812374=tudresden.ocl.injection.lib.HashExact.identityHashCode(compte);
if(!tudresden.ocl.injection.lib.Check.checkElementTypes(compte,Compte.class)) System.out.println("element type checker failed at feature 'compte' of object "+this+".");
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(compte_oclobservinginvariants812374);
}
if(tudresden.ocl.injection.lib.HashExact.identityHashCode(livretGere)!=livretGere_oclbackup812374){livretGere_oclbackup812374=tudresden.ocl.injection.lib.HashExact.identityHashCode(livretGere);
if(!tudresden.ocl.injection.lib.Check.checkElementTypes(livretGere,Livret.class)) System.out.println("element type checker failed at feature 'livretGere' of object "+this+".");
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(livretGere_oclobservinginvariants812374);
}
if(tudresden.ocl.injection.lib.HashExact.identityHashCode(compteGere)!=compteGere_oclbackup812374){compteGere_oclbackup812374=tudresden.ocl.injection.lib.HashExact.identityHashCode(compteGere);
if(!tudresden.ocl.injection.lib.Check.checkElementTypes(compteGere,Compte.class)) System.out.println("element type checker failed at feature 'compteGere' of object "+this+".");
tudresden.ocl.injection.ocl.lib.Invariant.notifyObservingInvariants(compteGere_oclobservinginvariants812374);
}
}/**
An object representing ocl invariant majeurContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_majeurContrainte=new tudresden.ocl.injection.ocl.lib.Invariant("majeurContrainte", this);/**
Checks ocl invariant majeurContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_majeurContrainte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_majeurContrainte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode0=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclInteger tudOclNode1=tudresden.ocl.lib.Ocl.toOclInteger(tudOclNode0.getFeature("age"));
final tudresden.ocl.lib.OclInteger tudOclNode2=new tudresden.ocl.lib.OclInteger(18);
final tudresden.ocl.lib.OclBoolean tudOclNode3=tudOclNode1.isLessThan(tudOclNode2);
final tudresden.ocl.lib.OclSequence tudOclNode4=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode0.getFeature("compte"));
final tudresden.ocl.lib.OclBoolean tudOclNode5=tudOclNode4.isEmpty();
final tudresden.ocl.lib.OclBoolean tudOclNode6=tudOclNode3.implies(tudOclNode5);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode6.isTrue())System.out.println("violated ocl invariant 'majeurContrainte' on object '"+this+"'.");
}/**
An object representing ocl invariant agenceContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_agenceContrainte=new tudresden.ocl.injection.ocl.lib.Invariant("agenceContrainte", this);/**
Checks ocl invariant agenceContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_agenceContrainte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_agenceContrainte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode7=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclSequence tudOclNode8=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode7.getFeature("compte"));
final tudresden.ocl.lib.OclBoolean tudOclNode9=tudOclNode8.notEmpty();
final tudresden.ocl.lib.OclAnyImpl tudOclNode10=tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclNode7.getFeature("agence"));
final tudresden.ocl.lib.OclSet tudOclSet0=tudresden.ocl.lib.OclSet.getEmptyOclSet();
tudOclSet0.setToInclude(tudOclNode10);
final tudresden.ocl.lib.OclBoolean tudOclNode11=tudOclSet0.notEmpty();
final tudresden.ocl.lib.OclBoolean tudOclNode12=tudOclNode9.implies(tudOclNode11);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode12.isTrue())System.out.println("violated ocl invariant 'agenceContrainte' on object '"+this+"'.");
}/**
An object representing ocl invariant gestionContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_gestionContrainte=new tudresden.ocl.injection.ocl.lib.Invariant("gestionContrainte", this);/**
Checks ocl invariant gestionContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_gestionContrainte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_gestionContrainte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode13=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclSequence tudOclNode14=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode13.getFeature("compteGere"));
final tudresden.ocl.lib.OclIterator tudOclIter0=tudOclNode14.getIterator();
final tudresden.ocl.lib.OclBooleanEvaluatable tudOclEval0=new tudresden.ocl.lib.OclBooleanEvaluatable() {
  public tudresden.ocl.lib.OclBoolean evaluate() {
    final tudresden.ocl.lib.OclAnyImpl tudOclNode15=tudresden.ocl.lib.Ocl.toOclAnyImpl(tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclIter0.getValue()).getFeature("proprietaire"));
    final tudresden.ocl.lib.OclBoolean tudOclNode16=tudOclNode15.isNotEqualTo(tudOclNode13);
    return tudOclNode16;
  }
};
final tudresden.ocl.lib.OclBoolean tudOclNode17=tudOclNode14.forAll(tudOclIter0, tudOclEval0);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode17.isTrue())System.out.println("violated ocl invariant 'gestionContrainte' on object '"+this+"'.");
}/**
An object representing ocl invariant contratContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_contratContrainte=new tudresden.ocl.injection.ocl.lib.Invariant("contratContrainte", this);/**
Checks ocl invariant contratContrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_contratContrainte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_contratContrainte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode18=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclSequence tudOclNode19=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode18.getFeature("contrat"));
final tudresden.ocl.lib.OclIterator tudOclIter1=tudOclNode19.getIterator();
final tudresden.ocl.lib.OclBooleanEvaluatable tudOclEval1=new tudresden.ocl.lib.OclBooleanEvaluatable() {
  public tudresden.ocl.lib.OclBoolean evaluate() {
    final tudresden.ocl.lib.OclIterator tudOclIter2=tudOclNode19.getIterator();
    final tudresden.ocl.lib.OclBooleanEvaluatable tudOclEval2=new tudresden.ocl.lib.OclBooleanEvaluatable() {
      public tudresden.ocl.lib.OclBoolean evaluate() {
        final tudresden.ocl.lib.OclBoolean tudOclNode20=tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclIter1.getValue()).isNotEqualTo(tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclIter2.getValue()));
        final tudresden.ocl.lib.OclInteger tudOclNode21=tudresden.ocl.lib.Ocl.toOclInteger(tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclIter1.getValue()).getFeature("id"));
        final tudresden.ocl.lib.OclInteger tudOclNode22=tudresden.ocl.lib.Ocl.toOclInteger(tudresden.ocl.lib.Ocl.toOclAnyImpl(tudOclIter2.getValue()).getFeature("id"));
        final tudresden.ocl.lib.OclBoolean tudOclNode23=tudOclNode21.isNotEqualTo(tudOclNode22);
        final tudresden.ocl.lib.OclBoolean tudOclNode24=tudOclNode20.implies(tudOclNode23);
        return tudOclNode24;
      }
    };
    final tudresden.ocl.lib.OclBoolean tudOclNode25=tudOclNode19.forAll(tudOclIter2, tudOclEval2);
    return tudOclNode25;
  }
};
final tudresden.ocl.lib.OclBoolean tudOclNode26=tudOclNode19.forAll(tudOclIter1, tudOclEval1);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode26.isTrue())System.out.println("violated ocl invariant 'contratContrainte' on object '"+this+"'.");
}/**
An object representing ocl invariant contrat2Contrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_contrat2Contrainte=new tudresden.ocl.injection.ocl.lib.Invariant("contrat2Contrainte", this);/**
Checks ocl invariant contrat2Contrainte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_contrat2Contrainte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_contrat2Contrainte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode27=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclSequence tudOclNode28=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode27.getFeature("compte"));
final tudresden.ocl.lib.OclInteger tudOclNode29=tudOclNode28.size();
final tudresden.ocl.lib.OclSequence tudOclNode30=tudresden.ocl.lib.Ocl.toOclSequence(tudOclNode27.getFeature("contrat"));
final tudresden.ocl.lib.OclInteger tudOclNode31=tudOclNode30.size();
final tudresden.ocl.lib.OclBoolean tudOclNode32=tudOclNode29.isGreaterEqual(tudOclNode31);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode32.isTrue())System.out.println("violated ocl invariant 'contrat2Contrainte' on object '"+this+"'.");
}/**
An object representing ocl invariant ageContarinte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/private final tudresden.ocl.injection.ocl.lib.Invariant zzzCheckOclInvariantObject812374_ageContarinte=new tudresden.ocl.injection.ocl.lib.Invariant("ageContarinte", this);/**
Checks ocl invariant ageContarinte on this object. Generated automatically, DO NOT CHANGE!
@author ocl_injector
*/public final void zzzCheckOclInvariantMethod812374_ageContarinte(){
tudresden.ocl.lib.OclAnyImpl.setFeatureListener(zzzCheckOclInvariantObject812374_ageContarinte);
final tudresden.ocl.lib.OclAnyImpl tudOclNode33=tudresden.ocl.lib.Ocl.toOclAnyImpl( tudresden.ocl.lib.Ocl.getFor(this) );
final tudresden.ocl.lib.OclInteger tudOclNode34=tudresden.ocl.lib.Ocl.toOclInteger(tudOclNode33.getFeature("age"));
final tudresden.ocl.lib.OclInteger tudOclNode35=new tudresden.ocl.lib.OclInteger(0);
final tudresden.ocl.lib.OclBoolean tudOclNode36=tudOclNode34.isGreaterEqual(tudOclNode35);
final tudresden.ocl.lib.OclInteger tudOclNode37=tudresden.ocl.lib.Ocl.toOclInteger(tudOclNode33.getFeature("age"));
final tudresden.ocl.lib.OclInteger tudOclNode38=new tudresden.ocl.lib.OclInteger(140);
final tudresden.ocl.lib.OclBoolean tudOclNode39=tudOclNode37.isLessThan(tudOclNode38);
final tudresden.ocl.lib.OclBoolean tudOclNode40=tudOclNode36.and(tudOclNode39);
tudresden.ocl.lib.OclAnyImpl.clearFeatureListener();
if(!tudOclNode40.isTrue())System.out.println("violated ocl invariant 'ageContarinte' on object '"+this+"'.");
}}